Page MenuHomePhabricator

[SVE] Eliminate calls to default-false VectorType::get() from polly
ClosedPublic

Authored by ctetreau on May 20 2020, 4:23 PM.

Diff Detail

Event Timeline

ctetreau created this revision.May 20 2020, 4:23 PM
Herald added a reviewer: efriedma. · View Herald Transcript
Herald added a project: Restricted Project. · View Herald Transcript
fpetrogalli accepted this revision.May 21 2020, 9:31 AM

LGTM, with one nit that I think it is worth addressing before submitting.

Thank you

polly/lib/CodeGen/BlockGenerators.cpp
1108

While on this, maybe rename the variable VectorType to something that doesn't confuse the types? VecTy?

This revision is now accepted and ready to land.May 21 2020, 9:31 AM
ctetreau marked an inline comment as done.May 28 2020, 2:23 PM
ctetreau added inline comments.
polly/lib/CodeGen/BlockGenerators.cpp
1108

Wow, yeah, that's a bit of an unfortunate name...

ctetreau updated this revision to Diff 267044.May 28 2020, 2:27 PM

address code review issues

ctetreau updated this revision to Diff 267045.May 28 2020, 2:34 PM

Oh gosh, it's like that everywhere

Harbormaster completed remote builds in B58329: Diff 267045.
gchatelet resigned from this revision.May 29 2020, 5:28 AM
This revision was automatically updated to reflect the committed changes.